PHP 手冊
前一頁 |  | 下一頁

# openal_source_set

(no version information, might be only in CVS)

openal_source_set -- Set source property

## Description

bool openal_source_set ( resource source, int property, mixed setting )

## Parameters

source

  An Open AL(Source) resource (previously created by openal_source_create()).

property

  Property to set, one of: `AL_BUFFER` (OpenAL(Source)), `AL_LOOPING` (bool), `AL_SOURCE_RELATIVE` (int), `AL_SOURCE_STATE` (int), `AL_PITCH` (float), `AL_GAIN` (float), `AL_MIN_GAIN` (float), `AL_MAX_GAIN` (float), `AL_MAX_DISTANCE` (float), `AL_ROLLOFF_FACTOR` (float), `AL_CONE_OUTER_GAIN` (float), `AL_CONE_INNER_ANGLE` (float), `AL_CONE_OUTER_ANGLE` (float), `AL_REFERENCE_DISTANCE` (float), `AL_POSITION` (array(float,float,float)), `AL_VELOCITY` (array(float,float,float)), `AL_DIRECTION` (array(float,float,float)).

setting

  Value to assign to specified property. Refer to the description of property for a description of the value(s) expected.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 參考

openal_source_create()
openal_source_get()
openal_source_play()

前一頁 | 內容 | 下一頁
openal_source_rewind | 上一層 | openal_source_stop